# Generated from creek-2.6.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name creek

Name: rubygem-%{gem_name}
Version: 2.6.3
Release: 1%{?dist}
Summary: A Ruby gem for parsing large Excel(xlsx and xlsm) files
License: MIT
URL: https://github.com/pythonicrubyist/creek
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(rspec) >= 3.6.0
# BuildRequires: rubygem(rspec) < 3.7
# BuildRequires: rubygem(pry-byebug)
BuildArch: noarch

%description
A Ruby gem that streams and parses large Excel(xlsx and xlsm) files fast and
efficiently.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.DS_Store
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/creek.gemspec
%{gem_instdir}/spec

%changelog
* Wed May 03 2023 mockbuilder - 2.6.3-1
- Initial package
